//
//  FooterModel.swift
//  MVMCoreUI
//
//  Created by Suresh, Kamlesh on 11/27/19.
//  Copyright © 2019 Verizon Wireless. All rights reserved.
//


@objcMembers public class FooterModel: MoleculeContainerModel {
    public override class var identifier: String { "footer" }
    
    /// Defaults to set
    public override func setDefaults() {
        if useHorizontalMargins == nil {
            useHorizontalMargins = true
        }
        if useVerticalMargins == nil {
            useVerticalMargins = true
        }
        if topPadding == nil {
            topPadding = PaddingDefaultVerticalSpacing
        }
        if bottomPadding == nil {
            bottomPadding = PaddingDefaultVerticalSpacing
        }
    }
}
